Bug 53529 - Webdoc root on Netware Volume not upadting
Webdoc root on Netware Volume not upadting
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncpfs (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
http://web.grcc.cc.mi.us/dl/forms/bb5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-10 18:19 EDT by Greg Folkert
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 06:50:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Folkert 2001-09-10 18:19:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en]C-CCK-MCD   (Win98; U)

Description of problem:
When I update anything on the netware volume for the website to serv, it does not update. This has only happened since Time-T went over 
1Billion. I believe there is a problem getting proper things showing up in the system.

It is a bugger to do, I have updated many pages and do not get the new pages. I have severed connections from both ends and o not get 
documents, then when re-established I get the wrong ones. This one is getting to be a real problem. I run teaching content off this server, 
and it is going to just get bigger.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Make sure Time-T > 1000000000
2. Do an auto mount of an ncp connection with the proper fstab line(readonly user with only this IP address login):
     grccofc/apache          /usr/local/apache/webdocs       ncp   
defaults,ipserver=grccofc.grcc.cc.mi.us,mode=444,uid=apache,gid=apache,owner=apache,volume=web,nopasswd,multiple

3. Update a document in webdoc tree on Novell Netware 5.0 with (sp6a applied) server
4. umount the dir, ncpumount the dir, remount it anyway you can
5. Take the inrterface down. Bring it up.
6. Just do not restart the whole machine.(As I cannot with wide spread outages on my campus)


Actual Results:  The document does not get updated in memory or any reading. For some reason teh Linux box thinks it still has to old 
documents.

Expected Results:  The documents are updated per normal use.

Additional info:

Loss of data, in that it cannot be accessed without extreme measures.

This could also be in kernel territory, or in mount too.
Comment 1 Phil Knirsch 2001-10-25 08:58:43 EDT
I am not quite sure what you try to do here. Do you have a linux box that mounts
a readonly directory from a Novel server to serv web pages?

If that is the case and if i understood your setup correctly the new files from
the Novel server don't show up on the Linux box anymore, right?

Now, this could be anything, rangeing from a setup or version problem with the
Novel server, over to a ncpfs Linux kernel file system problem over to a mount
problem.

I haven't seen any other reports of files not appearing from Novel servers on
linux machines, so it might be a problem with the setup. I can't really test it
here as we don't have any Novel servers around here, and using a Linux box as a
Novel server probably won't show that problem.

Can other clients, like windows or Sun or SCO machines see the files?

Read ya, Phil
Comment 2 Greg Folkert 2001-10-25 10:46:37 EDT
I have this machine doing this:

Mounts a Netware 5.0 Sp6a Traditional File System Volume called "WEB", mounting using ncpfs(or ncpmount) with read-only NDS rights, restricted 
to the IP address of the LINUX machine.

When the files on the netware volume are updated by the user on the netware volume using the Novell Netware Windows Client, these files show 
up just fine in the file structure as the updated files in as the server presents them to any machine attached via the Novell Windows netware client or 
the Microsoft Netware Client. 

These file changes or additions or deletions are not reflected by the mounted file structure of the NCP filesystem on the Linux machine. I have gone 
as far as restarting the Novell Netware server(recently), to fix this. Does not make any difference. What does make a difference is restarting the 
Linux machine(I had a drive failure recently on the machine). Once that happens, the changes are reflected for a while. But at SOME point in time, an 
event occurs, which basically makes the file structure non-updateable to the linux machine.

Additional information on setup:

IP only on the machine (no IPX)
At this point I do not believe TIME-T is relevant.

Comment 3 Florian La Roche 2003-02-08 17:32:28 EST
I have updated to ncpfs-2.2.1-1.src.rpm which should show up within rawhide
during the next few days. Are your problems gone with this version?

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.